package com.ruoyi.mall.domain.Chat;

import lombok.Data;

import java.util.List;


/**
 * 响应体 接收消息用
 */

public class BaiduAppResponse {

    private String request_id;

    private String date;

    private String answer;

    private String conversation_id;

    private String message_id;

    private Boolean is_completion;

    private List<Object> content;

    public String getRequest_id() {
        return request_id;
    }

    public void setRequest_id(String request_id) {
        this.request_id = request_id;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getConversation_id() {
        return conversation_id;
    }

    public void setConversation_id(String conversation_id) {
        this.conversation_id = conversation_id;
    }

    public String getMessage_id() {
        return message_id;
    }

    public void setMessage_id(String message_id) {
        this.message_id = message_id;
    }

    public Boolean getIs_completion() {
        return is_completion;
    }

    public void setIs_completion(Boolean is_completion) {
        this.is_completion = is_completion;
    }

    public List<Object> getContent() {
        return content;
    }

    public void setContent(List<Object> content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "BaiduAppResponse{" +
                "request_id='" + request_id + '\'' +
                ", date='" + date + '\'' +
                ", answer='" + answer + '\'' +
                ", conversation_id='" + conversation_id + '\'' +
                ", message_id='" + message_id + '\'' +
                ", is_completion=" + is_completion +
                ", content=" + content +
                '}';
    }
}

